Bug 121022 - Multi_key and AltGr not mapped to the usual keys
Multi_key and AltGr not mapped to the usual keys
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 05:59 EDT by David Monniaux
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 22:19:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Monniaux 2004-04-16 05:59:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
In former setups of Red Hat Linux and other distributions, the
Multi_key keysym was mapped to some "Windows" key. Multi_key is used
by the "Compose" mechanism.

In Fedora Core 1, this keysym is bound to shift-AltGr. This is
inconvenient, and breaks some behavior: on a French keyboard, to type
certain letters with a grave accent, one would have to type
shift-AltGr [Multi_key] AltGr-7 (` backquote) letter, but pressing
AltGr outputs an ISO_Level3_Shift keysym that breaks the compose
mechanism and results in a beep.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setxkbmap fr
2.press shift-AltGr [Multi_key] AltGr-7 (` backquote) o
3.
    

Actual Results:  It beeps when I press AltGr.

Expected Results:  I should have gotten �.

Additional info:
Comment 1 Mike A. Harris 2004-04-19 11:39:45 EDT
Please report this problem to XFree86.org at http://bugs.xfree86.org
and the xkb maintainer can give an official resolution for this.

Paste the upstream bug report URL here issue and we will track and
match upstream accordingly.
Comment 2 David Monniaux 2004-05-03 15:32:47 EDT
XFree86 bug #1359
Comment 3 Mike A. Harris 2004-05-04 14:46:39 EDT
Just a note...

bug URL points to Red Hat bugzilla, not XFree86 bugzilla..
Comment 4 Mike A. Harris 2005-02-07 22:19:26 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".


Note You need to log in before you can comment on or make changes to this bug.